﻿// ------------------------------------------------------------------------------------------------
// This file is part of InformationLib.
//
// InformationLib is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// InformationLib is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with InformationLib.  If not, see <http://www.gnu.org/licenses/>.
// ------------------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace InformationLib.Strings // THIS NAMESPACE IS A PRIMITIVE!  use only System.* references
{
    // --------------------------------------------------------------------------------------------
    /// <!-- IDiffItem -->
    /// <summary>
    ///      The IDiffItem interface standardizes the format of DiffItems making recursion possible.
    /// </summary>
    public interface IDiffItem
    {
        /// <summary>-1, 0, or 1</summary>
        int    Change  { get; } /// <summary>file, folder, method, or item name</summary>
        string Str     { get; }
        string Parent1 { get; set; }
        string Parent2 { get; set; }
        string Parent   (int x);
        int    Direction(int x);
    }
}
